//
// GetProperties200Response.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct GetProperties200Response: Codable, JSONEncodable, Hashable {

    public var count: Int?
    public var rows: [Property]?

    public init(count: Int? = nil, rows: [Property]? = nil) {
        self.count = count
        self.rows = rows
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case count
        case rows
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(count, forKey: .count)
        try container.encodeIfPresent(rows, forKey: .rows)
    }
}

